List brokerages
curl --request GET \
--url https://api.myabode.ca/v1/brokerages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.myabode.ca/v1/brokerages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.myabode.ca/v1/brokerages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "brokerage",
"id": "<string>",
"name": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}API Reference
List brokerages
Returns every brokerage this key may read. Any read scope may call it.
GET
/
v1
/
brokerages
List brokerages
curl --request GET \
--url https://api.myabode.ca/v1/brokerages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.myabode.ca/v1/brokerages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.myabode.ca/v1/brokerages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{
"object": "brokerage",
"id": "<string>",
"name": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"detail": "<string>",
"resource": "<string>"
}
]
}Authorizations
An API key of the form mya_…, sent as Authorization: Bearer mya_…. The secret is shown once, when the key is created.
Query Parameters
Opaque: send back a next_cursor unchanged.
Minimum string length:
1Required range:
1 <= x <= 100